Page MenuHomeFreeBSD

Introduce LS1028A PCI MDIO driver.
ClosedPublic

Authored by lha_semihalf.com on Jun 11 2021, 3:10 PM.

Details

Summary

Implement support for the NXP LS1028A SoC MDIO controller.
It is attached to the internal PCI root complex.
The controller is used to communicate with PHYs of ports connected
to the internal switch.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sys/dev/enetc/enetc_mdio_pci.c
108

You might want to use some table for this so it would be easier to use the PNPINFO macros for module autoloading.

131

Typo : reosurces -> resources

sys/conf/files.arm64
178

This is an fdt-only driver so add fdt here in the depends

This revision is now accepted and ready to land.Jun 14 2021, 10:00 AM
sys/dev/enetc/enetc_mdio_pci.c
16

Suggest updating the disclaimer text to the standard AUTHOR AND CONTRIBUTORS version - from the top-level COPYRIGHT file:

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

Update the disclaimer text to current version.

This revision now requires review to proceed.Jun 15 2021, 8:36 AM
This revision is now accepted and ready to land.Jun 15 2021, 8:48 AM
This revision was automatically updated to reflect the committed changes.